# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Sphere Class Reference

The Sphere class defines a sphere using a center and a radius using vl::Real precision. More...

`#include <Sphere.hpp>`

List of all members.

## Public Member Functions
| Sphere ()
| Sphere (const AABB &aabb)
void | setNull ()
void | setPoint ()
bool | isNull () const
bool | isPoint () const
void | setCenter (const vec3 &center)
const vec3 & | center () const
void | setRadius (Real radius)
Real | radius () const
bool | includes (const Sphere &other) const
Sphere & | operator= (const AABB &aabb)
Sphere | operator+ (const Sphere &other)
const Sphere & | operator+= (const Sphere &other)
void | transformed (Sphere &sphere, const mat4 &mat) const
Sphere | transformed (const mat4 &mat) const
## Protected Attributes
vec3 | mCenter
Real | mRadius

## Detailed Description

The Sphere class defines a sphere using a center and a radius using vl::Real precision.

## Constructor & Destructor Documentation

vl::Sphere::Sphere | ( |  | ) | `[inline]`

vl::Sphere::Sphere | ( | const AABB & | aabb | ) | `[inline]`

## Member Function Documentation

void vl::Sphere::setNull | ( |  | ) | `[inline]`

void vl::Sphere::setPoint | ( |  | ) | `[inline]`

bool vl::Sphere::isNull | ( |  | ) | const`[inline]`

bool vl::Sphere::isPoint | ( |  | ) | const`[inline]`

void vl::Sphere::setCenter | ( | const vec3 & | center | ) | `[inline]`

const vec3& vl::Sphere::center | ( |  | ) | const`[inline]`

void vl::Sphere::setRadius | ( | Real | radius | ) | `[inline]`

Real vl::Sphere::radius | ( |  | ) | const`[inline]`

bool vl::Sphere::includes | ( | const Sphere & | other | ) | const`[inline]`

Sphere& vl::Sphere::operator= | ( | const AABB & | aabb | ) | `[inline]`

Sphere vl::Sphere::operator+ | ( | const Sphere & | other | ) | `[inline]`

const Sphere& vl::Sphere::operator+= | ( | const Sphere & | other | ) | `[inline]`

void vl::Sphere::transformed | ( | Sphere & | sphere,
|  | const mat4 & | mat |
| ) |  |  | const`[inline]`

Sphere vl::Sphere::transformed | ( | const mat4 & | mat | ) | const`[inline]`

## Member Data Documentation

vec3 vl::Sphere::mCenter`[protected]`

Real vl::Sphere::mRadius`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Sphere.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:52 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.